MediaSize.Engineering (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute.standard
Class MediaSize.Engineering

    java.lang.Object
      |
      +--javax.print.attribute.standard.MediaSize.Engineering

Enclosing class:
  MediaSize

public static final class MediaSize.Engineering
extends Object

Class MediaSize.Engineering includes `MediaSize` values for engineering media.

Field Summary
`static MediaSize` | `A` Specifies the engineering A size, 8.5 inch by 11 inch.
`static MediaSize` | `B` Specifies the engineering B size, 11 inch by 17 inch.
`static MediaSize` | `C` Specifies the engineering C size, 17 inch by 22 inch.
`static MediaSize` | `D` Specifies the engineering D size, 22 inch by 34 inch.
`static MediaSize` | `E` Specifies the engineering E size, 34 inch by 44 inch.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### A

    public static final MediaSize A

  Specifies the engineering A size, 8.5 inch by 11 inch.

### B

    public static final MediaSize B

  Specifies the engineering B size, 11 inch by 17 inch.

### C

    public static final MediaSize C

  Specifies the engineering C size, 17 inch by 22 inch.

### D

    public static final MediaSize D

  Specifies the engineering D size, 22 inch by 34 inch.

### E

    public static final MediaSize E

  Specifies the engineering E size, 34 inch by 44 inch.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.